# List Payment Methods

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "List Payment Methods" },
  ]}
  title="List Payment Methods"
  method="POST"
  url="https://api.gemini.com/v1/payments/methods"
  description="Returns data on fiat currency balances in the account and linked bank accounts."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/payments/methods",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/payments/methods",
        nonce: "<nonce>",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>This endpoint can be accessed by either a Master or Account level key with any role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>banks:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listPaymentMethods" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listPaymentMethods" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listPaymentMethods" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Add Bank (CAD)", href: "/trading/rest-api/fund-management/add-bank-cad" }}
  next={{ label: "List Approved Addresses", href: "/trading/rest-api/fund-management/list-approved-addresses" }}
/>
